package com.sundot.airport.web.controller.ledger;

import java.util.List;
import javax.servlet.http.HttpServletResponse;

import com.sundot.airport.common.annotation.Log;
import com.sundot.airport.common.core.controller.BaseController;
import com.sundot.airport.common.core.domain.AjaxResult;
import com.sundot.airport.common.core.page.TableDataInfo;
import com.sundot.airport.common.enums.BusinessType;
import com.sundot.airport.common.utils.poi.ExcelUtil;
import com.sundot.airport.ledger.domain.LedgerExamScore;
import com.sundot.airport.ledger.service.ILedgerExamScoreService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.security.access.prepost.PreAuthorize;
import org.springframework.web.bind.annotation.*;

/**
 * 成绩收集Controller
 */
@RestController
@RequestMapping("/ledger/examScore")
public class LedgerExamScoreController extends BaseController {

    @Autowired
    private ILedgerExamScoreService service;

    @PreAuthorize("@ss.hasPermi('ledger:examScore:list')")
    @GetMapping("/list")
    public TableDataInfo list(LedgerExamScore query) {
        startPage();
        List<LedgerExamScore> list = service.selectList(query);
        return getDataTable(list);
    }

    @PreAuthorize("@ss.hasPermi('ledger:examScore:export')")
    @Log(title = "成绩收集", businessType = BusinessType.EXPORT)
    @PostMapping("/export")
    public void export(HttpServletResponse response, LedgerExamScore query) {
        List<LedgerExamScore> list = service.selectList(query);
        ExcelUtil<LedgerExamScore> util = new ExcelUtil<>(LedgerExamScore.class);
        util.exportExcel(response, list, "成绩收集");
    }

    @PreAuthorize("@ss.hasPermi('ledger:examScore:query')")
    @GetMapping("/{id}")
    public AjaxResult getInfo(@PathVariable Long id) {
        return AjaxResult.success(service.getById(id));
    }
}
